module command.remoteundostatusmacro.hottuboffcommand;

import command.remoteundostatusmacro.command;
import command.remoteundostatusmacro.hottub;

class HottubOffCommand : Command
{
    Hottub hottub;

    this(Hottub hottub)
    {
        this.hottub = hottub;
    }

    void execute()
    {
        hottub.setTemperature(98);
        hottub.off();
    }

    void undo()
    {
        hottub.on();
    }
}
